Agents

Unpin agent version and restore org default target

DELETE
/organizations/{organizationId}/agents/{agentId}/pin

Path Parameters

organizationId*string
Formatuuid
agentId*string
Formatuuid

Header Parameters

x-organization-role*string

Portal impersonation role (pair with x-organization-id)

Value in

  • "ORG_ADMIN"
  • "ORG_MEMBER"
x-organization-id*string

Must match the organizationId path segment

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/pin" \  -H "x-organization-role: ORG_ADMIN" \  -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "agentId": "bc309ecf-5f66-4057-93c5-6611cc9cb7b2",  "versionPinned": false,  "effectiveTargetVersion": "string",  "upgradeStatus": "string"}
{  "message": "string"}
{  "message": "string"}
{  "message": "string"}